<?php
namespace App\Lib\Biz\Game\Table;
/**
 * Class bjpk10Table 比较PK10表头
 * @package App\Lib\Biz\Game\Table
 */
class SixlotteryTable extends BaseTable{
    /**
     * @param $obj 对象
     * @param $game 游戏代码
     * @param $data 数据
     */
    function gameTable(&$obj,$game){
        
        $obj->addColsFields('name', array('sort' => false));
        $obj->addColsFields('info_no', array('sort' => false));
        $obj->addColsFields('open_time', array('sort' => false,'templet'=>'#set_opentime'));
        $obj->addColsFields('prizes_code', array('sort' => false));
        $obj->addColsFields('all_sum');
        $obj->addColsFields('endcode',array('templet'=>'#endcodeTool','sort' => false));
        $obj->addColsFields('general_allsum');
        $obj->addColsFields('general_born');
        $obj->addColsFields('general_code',array('templet'=>'#general_codeTool','sort' => false));
        $obj->addColsFields('general_color',array('templet'=>'#general_colorTool','sort' => false));
        $obj->addColsFields('general_endsize',array('templet'=>'#general_endsizeTool','sort' => false));
        $obj->addColsFields('general_parity',array('templet'=>'#general_parityTool','sort' => false));
        $obj->addColsFields('general_pass',array('templet'=>'#general_passTool','sort' => false));
        $obj->addColsFields('general_size',array('templet'=>'#general_sizeTool','sort' => false));
        $obj->addColsFields('general_special');
        $obj->addColsFields('general_sum');
        $obj->addColsFields('general_sumparity',array('templet'=>'#general_sumparityTool','sort' => false));
        $obj->addColsFields('general_sumsize',array('templet'=>'#general_sumsizeTool','sort' => false));
        $obj->addColsFields('generalsum_twofaceparity',array('templet'=>'#generalsum_twofaceparityTool','sort' => false));
        $obj->addColsFields('generalsum_twofacesize',array('templet'=>'#generalsum_twofacesizeTool','sort' => false));
        $obj->addColsFields('general_twofaceparity',array('templet'=>'#general_twofaceparityeTool','sort' => false));
        $obj->addColsFields('general_twofacesize',array('templet'=>'#general_twofacesizeTool','sort' => false));
        $obj->addColsFields('join_born');
        $obj->addColsFields('mix');
        $obj->addColsFields('one_born');
//        $obj->addColsFields('poscode');
//        $obj->addColsFields('selfselect_eightlose');
//        $obj->addColsFields('selfselect_elevenlose');
//        $obj->addColsFields('selfselect_fivelose');
//        $obj->addColsFields('selfselect_ninelose');
//        $obj->addColsFields('selfselect_sevenlose');
//        $obj->addColsFields('selfselect_sixlose');
//        $obj->addColsFields('selfselect_tenlose');
//        $obj->addColsFields('selfselect_twelvelose');
        $obj->addColsFields('series_fiveborn',array('templet'=>'#series_fivebornTool','sort' => false));
        $obj->addColsFields('series_fiveend',array('templet'=>'#series_fiveendTool','sort' => false));
        $obj->addColsFields('series_fourborn');
        $obj->addColsFields('series_four',array('templet'=>'#series_fourTool','sort' => false));
        $obj->addColsFields('series_fourend');
        $obj->addColsFields('series_specialmix');
        $obj->addColsFields('series_threeborn');
        $obj->addColsFields('series_three');
        $obj->addColsFields('series_threeend');
        $obj->addColsFields('series_threetwo');
        $obj->addColsFields('series_twoborn');
        $obj->addColsFields('series_two');
        $obj->addColsFields('series_twoend');
        $obj->addColsFields('series_twospecial');
        $obj->addColsFields('seven_colorwave');
        $obj->addColsFields('special_born');
        $obj->addColsFields('special_code_a');
        $obj->addColsFields('special_code_b');
        $obj->addColsFields('special_colorwave',array('templet'=>'#special_colorwaveTool','sort' => false));
        $obj->addColsFields('special_endcode');
        $obj->addColsFields('special_endsize_a');
        $obj->addColsFields('special_endsize_b');
        $obj->addColsFields('special_half_a');
        $obj->addColsFields('special_half_b');
        $obj->addColsFields('special_halfwave',array('templet'=>'#special_halfwaveTool','sort' => false));
        $obj->addColsFields('special_headcode');
        $obj->addColsFields('special_mixwave',array('templet'=>'#special_mixwaveTool','sort' => false));
        $obj->addColsFields('special_parity_a');
        $obj->addColsFields('special_parity_b');
        $obj->addColsFields('special_size_a');
        $obj->addColsFields('special_size_b');
        $obj->addColsFields('special_sumparity_a');
        $obj->addColsFields('special_sumparity_b');
        $obj->addColsFields('special_sumsize_a');
        $obj->addColsFields('special_sumsize_b');
        $obj->addColsFields('specialsum_twofaceparity');
        $obj->addColsFields('specialsum_twofacesize');
        $obj->addColsFields('special_twofaceparity');
        $obj->addColsFields('special_twofacesize');
        $obj->addColsFields('sum_born');
//        $obj->addColsFields('mix');
    }
}
